package com.mortennobel.mandelbrot;

/**
 * Simple class used for updating FPS
 */
public class FPSStat {
	private int totalRenderTimeMs;
	private int numberOfRepaints;

	private long nanoTimeStart;

	private boolean clearFlag = false;

	public void timerStart(){
		nanoTimeStart = System.nanoTime();
	}

	public void timerEnd(){
		// find delta time and convert to millis
		long usedTimeMillis = (System.nanoTime()-nanoTimeStart)/1000000L;
		if (usedTimeMillis==0){
			return;
		}
		totalRenderTimeMs += usedTimeMillis;
		numberOfRepaints++;
		if (clearFlag){
			clearFlag = false;
			totalRenderTimeMs = 0;
			numberOfRepaints = 0;
		}
	}

	public float getAvarageRendertime(){
		if (numberOfRepaints==0 || totalRenderTimeMs==0){
			return Float.MAX_VALUE;
		}
		return totalRenderTimeMs/(float)numberOfRepaints;
	}

	public void clear(){
		clearFlag = true;
	}
}
